package io.gitlab.jfronny.breakme;

import io.gitlab.jfronny.breakme.crash.Method;
import io.gitlab.jfronny.commons.logging.Logger;
import net.fabricmc.api.ModInitializer;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.util.Language;

public class BreakMe implements ModInitializer {
    public static final String MOD_ID = "breakme";
    public static final Logger LOGGER = Logger.forName(MOD_ID);

    @Override
    public void onInitialize() {
        LOGGER.warn("Prepare for trouble");
    }

    public static void tryInvokeCrash(PlayerEntity player) throws Exception {
        if (BreakMeConfig.event == BreakMeConfig.Cause.All
                || BreakMeConfig.event == BreakMeConfig.Cause.Damage
                || (BreakMeConfig.event == BreakMeConfig.Cause.Death && player.isDead())) {
            Method method = BreakMeConfig.method;
            String name = Language.getInstance().get(MOD_ID + ".jfconfig.enum.Method." + method.name(), method.name());
            LOGGER.info("Invoking the crash (using " + name + ")");
            method.crash();
        }
    }
}
